Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class IpResourceSubscriptionRealDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscriptionReal>
ru.bitel.bgbilling.common.dao.AbstractIdDao<IpResourceSubscriptionReal>
ru.bitel.oss.systems.inventory.resource.server.bean.IpResourceSubscriptionRealDao

public class IpResourceSubscriptionRealDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<IpResourceSubscriptionReal>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceSubscriptionRealDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IpResourceSubscriptionReal`
  `findFromDate(int subscriberId, byte[] addressFrom, byte[] addressTo, Date dateFrom)`
  `protected IpResourceSubscriptionReal`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(IpResourceSubscriptionReal ipResourceSubscriptionReal)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscriptionRealDao

    public IpResourceSubscriptionRealDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected IpResourceSubscriptionReal getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscriptionReal>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(IpResourceSubscriptionReal ipResourceSubscriptionReal) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscriptionReal>`
    Throws:
      `SQLException`

  - ### findFromDate

    public IpResourceSubscriptionReal findFromDate(int subscriberId, byte[] addressFrom, byte[] addressTo, Date dateFrom) throws SQLException
    Throws:
      `SQLException`